<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h:form id="globalForm">
      <h1>#{messages['net.ihe.gazelle.cdagen.ListAllAuthors']}</h1>
      <s:div id="globalDiv">
        <s:div id="patientsList" rendered="#{authorManager.selectedAuthor == null}">
          <a4j:region rendered="#{identity.loggedIn and authorManager.selectedAuthor == null}">
            <s:decorate template="/layout/edit.xhtml">
              <ui:define name="label">#{messages['gazelle.simulator.pam.SeeOnlyPatientsCreatedByMe']}</ui:define>
              <h:selectBooleanCheckbox value="#{authorManager.searchForIdentity}">
                <a4j:ajax event="change" render="patientsListTable"/>
              </h:selectBooleanCheckbox>
            </s:decorate>
          </a4j:region>
          <br/>
          <rich:dataTable value="#{authorManager.authorsFounds}" id="patientsListTable" var="patient" rows="10" onRowMouseOver="this.style.backgroundColor='#94C2E6';" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}';" render="ds">
            <f:subview id="subview_1">
              <ui:include src="/author/authorColumns.xhtml"/>
            </f:subview>
            <g:column id="actionColumn">
              <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
              <center>
                <a4j:commandLink for="selectPatientImage" actionListener="#{authorManager.displayAuthor(patient)}"   render="globalDiv"/>
                <h:graphicImage id="selectPatientImage" title="#{messages['net.ihe.gazelle.cdagen.ViewAuthor']}" value="/img/icons64/kfind.gif" width="28" height="28" style="cursor: pointer;"/>
              </center>
            </g:column>
            <ui:include src="/tableFooter.xhtml"/>
          </rich:dataTable>
        </s:div>
        <s:div id="selectedAuthorDiv">
          <gri:panel rendered="#{authorManager.selectedAuthor != null}">
            <f:facet name="header">#{messages['net.ihe.gazelle.cdagen.AuthorInformations']}</f:facet>
            <ui:include src="/patient/showPatient.xhtml">
              <ui:param name="patient" value="#{authorManager.selectedAuthor}"/>
              <ui:param name="renderHistory" value="true"/>
              <ui:param name="renderEncounters" value="true"/>
            </ui:include>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.Back']}" actionListener="#{authorManager.displayAuthor(null)}" render="globalDiv"/>
          </gri:panel>
        </s:div>
      </s:div>
    </h:form>
  </ui:define>
</ui:composition>
